<?php
/**
 * +----------------------------------------------------------------------
 * 调用Demo控制器-该例子为ThinkPHP5
 * +----------------------------------------------------------------------
 * 官网：https://www.sw-x.cn
 * +----------------------------------------------------------------------
 * 作者：小黄牛 <1731223728@qq.com>
 * +----------------------------------------------------------------------
 * 开源协议：http://www.apache.org/licenses/LICENSE-2.0
 * +----------------------------------------------------------------------
*/
namespace app\admin\controller;

use think\Controller;

class Test extends Controller
{

    public function index() {
        $Rpc = new \SwooleXRpc\RpcClient();
        // 请求RPC服务
        $body = $Rpc->route('common/use_coordinate_get_city') // 路由地址
        ->func('run') // 方法
        ->param([ // 请求参数
            'longitude' => '113.383523',
            'latitude' => '23.131044'
        ])
        ->header(array()) // 请求头
        ->max(3) // 当RPC请求失败时，最多递归几个服务节点直至成功为止，默认1
        ->task() // 是否投递异步任务池
        ->callback('http://baidu.com', 'post') // 异步任务可以设置回调通知
        ->send(); // 发送请求	

        // 结果集
        var_dump($body);
        // 状态码 == 200 == 成功
        var_dump($Rpc->getStatus());
        // 错误原因
        var_dump($Rpc->getMsg());
    }

}
